<template>
  <sub-main :contents="contents"></sub-main>
</template>

<script>
export default {
  head: {
    title: 'Insurance | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Insurance | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-insurance.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Insurance | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-insurance.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: 'header',
          settings: {
            title: 'Insurance',
          }
        },
        {
          component: "halved",
          settings: {
            left: {
              scrolls: [
                { text: "Self-Insurance", id: "self-insurance" },
                { text: "Nexus Mutual", id: "nexus-mutual" },
                { text: "Risks Covered", id: "risks-covered" },
                { text: "Premium", id: "premium" },
                { text: "Stake", id: "stake"},
                { text: "APY", id: "apy"},
                { text: "Contract API's", id: "contract-api"}
              ],
            },
            right: [
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "Self-Insurance in Development",
                    text: "THORChain is planning on implementing self-insurance in order to create a treasury of protocol-controled-value that can also act as an insurance fund in the event of an exploit. Users are always welcomed to explore 3rd party solutions i.e. Nexus Mutual highlighted below."
                  },
                  {
                    component: "button",
                    mode: 'full',
                    buttons: [{text: 'Protocol Insurance Fund', linkProps: this.$links('insurance_gitlab_protocol_insurance_fund')}]
                  }
                ]
              },
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "Nexus Mutual",
                    text: "Nexus Mutual provides the most comprehensive cross-chain protection within DeFi, with a record of over ~$2.4M in past payouts across projects."
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Website", linkProps: this.$links('insurance_nexus_mutual_website')}],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/insurance/nexus-mutual.svg"),
                    positionRight: "50%",
                    positionTop: "50%",
                    extraCSS: {
                      background: "#000B12",
                      objectFit: "none",
                    },
                  },
                ],
              },
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "Risks Covered (Updated Sept 28, 2021)",
                    text: "• Code being used in an unintended way\n• Economic design failure\n• Severe oracle failure\n• Governance attacks\n• Protection for assets on Layer 2 solutions\n• Protection for non-Ethereum smart contracts\n• Protection for protocol across multiple chains"
                  },
                  {
                    component: "button",
                    mode: 'halved',
                    buttons: [{text: 'Yearly Premium ~6%', linkProps: this.$links('insurance_nexus_mutual_buy_cover')}, {text: 'Risk Assessment Resources', linkProps: this.$links('insurance_nexus_mutual_risk_assessment_resources')}]
                  },
                  {
                    component: "button",
                    mode: 'halved',
                    buttons: [{text: 'Protocol Cover', linkProps: this.$links('insurance_nexus_mutual_protocol_cover')}]
                  }
                ]
              },
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "What Lowers the Premium?",
                    text: "Risk Assessors have to stake NXM to back cover policies, and the more NXM staked against a protocol, custodian, cover product, the lower the premium, down to the 2.6%/annual minimum cost. Read more about cover pricing."
                  },
                  {
                    component: "button",
                    mode: 'full',
                    buttons: [{text: 'Cover Pricing', linkProps: this.$links('insurance_nexus_mutual_cover_pricing')}]
                  }
                ]
              },
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "Stake Against THORChain",
                    text: "Risk Assessors can earn NXM rewards for any cover buys on THORChain. Stake against THORChain if you believe the project is trustworthy and has bug-free code. If there is a claim payout however, your NXM can be burned to faciliate the payout."
                  },
                  {
                    component: "button",
                    mode: 'halved',
                    buttons: [{text: 'Stake NXM', linkProps: this.$links('insurance_nexus_mutual_stake_nxm')}, {text: 'Risk Assessment Resources', linkProps: this.$links('insurance_nexus_mutual_risk_assessment_resources')}]
                  },
                  {
                    component: "button",
                    mode: 'halved',
                    buttons: [{text: 'Statistics', linkProps: this.$links('insurance_nexus_mutual_statistics')}, {text: 'THORChain Security', linkProps: this.$links('slash_security_solvency')}]
                  },
                  {
                    component: "button",
                    mode: 'halved',
                    buttons: [{text: 'Claims History', linkProps: this.$links('insurance_nexus_mutual_claims_history')}]
                  }
                ]
              },
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "Why is the Staking APY 0%?",
                    text: "Risk Assessors earn a share of cover premiums when members buy cover for a protocol, custodian, or cover product.\n\nIf no cover is purchased in the last week, then the APY shows as 0%. As more covered is purchased, the APY shown will increase."
                  }
                ]
              },
              {
                component: "full",
                layers: [
                  {
                    component: "text",
                    title: "dApps Can Integrate Nexus Mutual",
                    text: "THORChain ecosystem dApps can integrate Nexus Mutual Distributor Contract APIs, and offer KYC-free coverage to their users while earning 10% of cover premiums."
                  },
                  {
                    component: "button",
                    mode: 'full',
                    buttons: [{text: 'Distributor Contract', linkProps: this.$links('insurance_nexus_mutual_distributor_contract')}]
                  }
                ]
              },
            ],
          },
        },
      ]
    }
  }
}
</script>

<style>

</style>